Package org.apache.avro

# Interface SchemaParser.ParseResult

Enclosing class:
  `SchemaParser`

public static interface SchemaParser.ParseResult

## Method Summary

Modifier and Type
Method
Description
`Schema`
`mainSchema()`
The main schema parsed from a file.
`List<Schema>`
`parsedNamedSchemas()`
The list of named schemata that were parsed.

## Method Details

### mainSchema

Schema mainSchema()
The main schema parsed from a file. Can be any schema, or `null` if the parsed file has no "main" schema.

### parsedNamedSchemas

List<Schema> parsedNamedSchemas()
The list of named schemata that were parsed.